html {
    box-sizing: border-box ;
}    

body {
  font-family: Verdana, Arial, Helvetica, sans-serif; 
  font-size: 12px; 
}

*, *:before, *:after {
    box-sizing ; inherit ; 
}
    
.icon {
  opacity: 0.98 ; 
}

.cell-icon {
  align:center ;
  valign:middle ;
}
  
//.img , .td 
//{
//  padding: 0px; 
//  margin: 0px; 
//  display:block;
//}

//img { 
//  margin-bottom: 2px ;
//}

//input[type="checkbox"] { does not work yet
//  line-height: 5 ;
//}  

.leaflet-interactive {
    color: #000000 ;
  //left: 0.3rem ; // -0.7rem;
  //top: -0.55rem ;
  //text-align: left ;
    left: -0.65rem ;  
    top:  0.7rem ;
	text-align: left ;
}	

.modal-header {
//    padding: 2px 16px;
    padding: 0px 1px;
	//vertical-align: text-top;
    background-color: #CCC ; // #5cb85c;
    color: black;
}
.modal {
    display: none; /* Hide by default */
    position: fixed; /* Stay in place */
    z-index: 100; /* Sit on top */
//    padding-top: 0px; /* Location of the box */
    padding-top: 0px; /* Location of the box */
    margin-top: 5px; /* Location of the box */
    margin-right: 5px; /* Location of the box */
    right: 0;
    top: 0;
    width: 450 ; // 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    border: 9px solid black;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.0001); /* Black w/ zero opacity */
}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 9px solid #888;
    width: 400;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
//  -webkit-animation-name: animatetop;
//  -webkit-animation-duration: 2s; // 0.4s;
//  -webkit-animation-delay: 1500ms; 
//  -webkit-animation-iteration-count: 1; 
//  animation-name: animatetop;
//  animation-duration: 2s ; // 0.4s
//  animation-delay: 1500ms;
//	animation-iteration-count: 1
}	

//@-webkit-keyframes animatetop {
//    from {top:0; opacity:1}
//    to {top:-500px; opacity:1}
//}

//@keyframes animatetop {
//    from {top:0; opacity:1}
//    to {top:-500px; opacity:1}
//}


.submenu {
  white-space: nowrap;
}
.modal-header {
//    padding: 2px 16px;
    padding: 0px 1px;
	//vertical-align: text-top;
    background-color: #CCC ; // #5cb85c;
    color: black;
}

.close {
    color: #888;
    float: right;
    font-size: 22px; // 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #888;
    text-decoration: none;
    cursor: pointer;
}

.popupbox {
    padding: 5px 5px;
	margin: 5px ;
}

.button {
  font-family: Verdana, Arial, Helvetica, sans-serif; 
  font-size: 12px; 
  font-weight: bold; 
  color: #003366
}

.zoom { 
  padding: 50px; 
  transition: transform .2s; /* Animation */
  width: 200px;
  height: 200px;
  margin: 0 auto;
}

.zoom:hover {
  transform: scale(1.5); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

button {
  background-color: white ;
  padding: 6px ;
}	  

.leaflet-legend-contents {
  background: #cccccc;
}	

.leaflet-legend-title {
  display:none ;
}	

.sidenav {
  height: 100%;
  width: 800px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #00A;
  overflow-x: hidden;
  padding-top: 20px;
}

.sidenav a {
  padding: 6px 8px 6px 16px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.treestats {
  font-size: 11px; 
  padding: 0px;
  margin: 0px; 
  line-height: 1.3;
}

aside {
  width: 30%;
  padding-left: 15px;
  margin-left: 15px;
  float: left;
  font-style: italic;
  background-color: green;
  display:block;
}

.main {
  margin-left: 800px; /* Same as the width of the sidenav */
  height:100%;
  font-size: 28px; /* Increased text to enable scrolling */
  padding: 0px 10px;
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

#loader_panel {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 0;
  width: 150px;
  height: 150px;
  margin: -75px 0 0 -75px;
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.animate-bottom {
  position: relative;
  -webkit-animation-name: animatebottom;
  -webkit-animation-duration: 1s;
  animation-name: animatebottom;
  animation-duration: 1s
}

@-webkit-keyframes animatebottom {
  from { bottom:-100px; opacity:0 } 
  to { bottom:0px; opacity:1 }
}

@keyframes animatebottom { 
  from{ bottom:-100px; opacity:0 } 
  to{ bottom:0; opacity:1 }
}

.leaflet-control-command-interior
{
    background-image: url(assets/crown.png); 
    width: 20px;
    height: 20px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    display: block;
    padding: 3px;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    box-shadow: none; // 0 1px 7px rgba(0, 0, 0, 0.65);
    cursor: auto;
    text-align: center;
    background-color: #FFFFFF;
}

.leaflet-control-command-interior:hover
{
    background-color: #F4F4F4;
}

.icon-tooltip {
  position: relative;
  display: inline-block;
  //border-bottom: 1px dotted black;
}

.icon-tooltip .icon-tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: green;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
//  top: -5px;
  top: 10px;
  right: 65px; // 140%;
}

.icon-tooltip .icon-tooltiptext::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent transparent green;
}
.icon-tooltip:hover .icon-tooltiptext {
  visibility: visible;
}